Bug 228899 - databases/mysql56-server: Fails to build with OpenSSL 1.1
Summary: databases/mysql56-server: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mahdi Mokhtari
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-11 19:27 UTC by Bernard Spil
Modified: 2018-10-11 19:53 UTC (History)
1 user (show)

See Also:
mmokhi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-11 19:27:06 UTC
undeclared identifier 'CRYPTO_malloc_init'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/mysql56-server-5.6.40.log
Comment 1 w.schwarzenfeld freebsd_triage 2018-10-10 11:18:33 UTC
Should solved for openssl with 
https://svnweb.freebsd.org/ports/head/databases/mysql56-server/files/patch-PR225888.diff?view=log&pathrev=481608

but still failes with libressl:

undeclared identifier OPENSSL_malloc_ini


in patch-PR225888.diff has to changed one line to:

@@ -3408,7 +3408,11 @@ static int init_ssl()
 {
 #ifdef HAVE_OPENSSL
 #ifndef HAVE_YASSL
==> +#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
   CRYPTO_malloc_init();
+#else /* OPENSSL_VERSION_NUMBER < 0x10100000L */
+  OPENSSL_malloc_init();
+#endif /* OPENSSL_VERSION_NUMBER < 0x10100000L */
 #endif
   ssl_start();
 #ifndef EMBEDDED_LIBRARY

-----
"|| defined(LIBRESSL_VERSION_NUMBER)" was missing.
Comment 2 commit-hook freebsd_committer 2018-10-11 19:51:58 UTC
A commit references this bug:

Author: mmokhi
Date: Thu Oct 11 19:50:58 UTC 2018
New revision: 481848
URL: https://svnweb.freebsd.org/changeset/ports/481848

Log:
  databases/mysql56-server: Fix build with libressl after r481608

  PR:		228899
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	brnrd
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/databases/mysql56-server/Makefile
  head/databases/mysql56-server/files/patch-PR225888.diff
Comment 3 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-10-11 19:53:34 UTC
Thanks dear Walter (and Master Bernard ;D)
Tested and committed.